Package org.zkoss.zkmax.zul.event

## Class ScrollEventExt

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zk.ui.event.ScrollEvent
    - - org.zkoss.zkmax.zul.event.ScrollEventExt

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ScrollEventExt
      extends ScrollEvent

  Represents an event caused by that user is scrolling or has scrolled at the client for `Biglistbox` component and provides more information about the position X and Y data.
  Since:
    6.0.1
  Author:
    jumperchen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScrollEventExt​(java.lang.String name, Component target, int x, int y)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getData()` | Returns the data of the event, by default returning the same as `getY()`
    `static ScrollEventExt` | `getScrollEventExt​(AuRequest request)` |
    `int` | `getX()` | Returns the axis-X position for the scrolling
    `int` | `getY()` | Returns the axis-Y position for the scrolling

    - ### Methods inherited from class org.zkoss.zk.ui.event.ScrollEvent

      `getPos, getPosInDouble, getScrollEvent, isOutOfBound`

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScrollEventExt

          public ScrollEventExt​(java.lang.String name,
                                Component target,
                                int x,
                                int y)

  - ### Method Detail

    - #### getScrollEventExt

          public static ScrollEventExt getScrollEventExt​(AuRequest request)

    - #### getData

          public java.lang.Object getData()

      Returns the data of the event, by default returning the same as `getY()`
      Overrides:
        `getData` in class `Event`

    - #### getX

          public int getX()

      Returns the axis-X position for the scrolling

    - #### getY

          public int getY()

      Returns the axis-Y position for the scrolling